<?php
/*******************************************************************************
 * Copyright (C) 2007 Easter-eggs
 * http://ldapsaisie.labs.libre-entreprise.org
 *
 * Author: See AUTHORS file in top-level directory.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

******************************************************************************/

$GLOBALS['LSobjects']['LSsupannEntiteBase'] = array (
  'objectclass' => array(
    'supannEntite',
  ),
  'rdn' => 'supannCodeEntite',
  'container_dn' => 'ou=structures',
  'display_name_format' => '%{description}',
  'label' => 'Entities',

  // LSform
  'LSform' => array (
    'ajaxSubmit' => 1,
    // Layout
    'layout' => array (
    )
  ),

  'LSsearch' => array (
    'attrs' => array (
      'description',
      'supannCodeEntite',
      'supannRefId',
    ),
  ),

  'attrs' => array (
    /* ----------- start -----------*/
    'supannCodeEntiteParent' => array (
      'label' => 'Parent entity',
      'ldap_type' => 'ascii',
      'html_type' => 'select_object',
      'html_options' => array(
        'selectable_object' => array(
          'object_type' => 'LSsupannEntiteBase',
          'display_name_format' => '%{description}',
          'value_attribute' => 'supannCodeEntite'
	)
      ),
      'required' => 1,
      'multiple' => 0,
    ),
    /* ----------- end -----------*/


    /* ----------- start -----------*/
    'supannCodeEntite' => array (
      'label' => 'Entity identifier',
      'ldap_type' => 'ascii',
      'html_type' => 'text',
      'multiple' => 0,
    ),
    /* ----------- end -----------*/

    /* ----------- start -----------*/
    'description' => array (
      'label' => 'Description',
      'ldap_type' => 'ascii',
      'html_type' => 'textarea',
      'multiple' => 0,
    ),
    /* ----------- end -----------*/

    /* ----------- start -----------*/
    'supannRefId' => array (
      'label' => 'Identifier reference',
      'ldap_type' => 'ascii',
      'html_type' => 'text',
      'required' => 0,
      'multiple' => 1,
    ),
    /* ----------- end -----------*/

    /* ----------- start -----------*/
    'supannTypeEntite' => array (
      'label' => "Entity type",
      'ldap_type' => 'ascii',
      'html_type' => 'supannTypeEntite',
      'multiple' => 1,
    ),
    /* ----------- end -----------*/
  )
);
?>
